..:: CodeGen Beschreibung ::..

Beschreibung von CodeGen
CodeGen - Version 1.4

Mit CodeGen ist es möglich ganz einfach und schneller als alle andere Generatoren, Quellcodes für Homepages zu erstellen.

Derzeitig sind in Version 1.4 des CodeGen folgende 8 Funktionen entwickelt:

Scrollbar, PopUp, MetaTag, Formular, PullDown, ICQ, Links, Mixed.

Weitere Funktionen werden in Version 1.5 folgen. Vorabinfos zu neuen Versionen und Entwicklungen finden sie auf der neuen: CodeGen Homepage !
Solltest du Fragen haben oder vielleicht Tipps und Tricks senden, nutze doch bitte unseren Formmailer.

Dieser Text ist © geschützt.


..:: Generelles ::..

Generelles zu CodeGen

Einige Komponenten hat jeder Teil des Programms gemeinsam:
Datei > Neu: | Entleert alle Eingaben jeden Teils von CodeGen samt dem Ausgabefeld.
Datei > Beenden: | Beendet CodeGen.
? > About: | Öffnet ein Fenster, welches das Copyright sowie die aktuelle Version anzeigt.
Einstellungen > Win2000: | Verändert das Layout des Menüs zu 2000 und zurück.
Einstellungen > Sprachenwechsel: | Hier kannst du die Sprache wechseln, sofern du möchtest.
? > CG Newsletter: | Klicke auf diese Auswahl, um den offiziellen CodeGen-Newsletter zu bestellen / abzubestellen.
? > Hilfe: | Öffnet das derzeitig geöffnete Fenster...
Generieren-Button: | Generiert den Quelltext des jeweiligen Themengebietes.
Kopieren- Button: | Kopiert den generierten Code in die Zwischenablage zur weiteren Verarbeitung.
Speichern-Button: | Öffnet einen Dialog mit dem es möglich ist, den generierten Text als .txt (oder .html) in ein beliebiges Verzeichnis zu speichern.


..:: Lizensbestimmungen ::..

Das Programm CodeGen (hier auch als "Software" bezeichnet) installieren sie auf eigene Gefahr!
Ich, Zahnspangenterminator, hafte für keine Schäden, die durch Installation, Speicherung, Nutzung oder sonstige Benutzung des Programms entstehen.

DER AUTOR KANN AUCH NICHT FÜR SCHÄDEN DES PROGRAMMS HAFTBAR GEMACHT WERDEN, DIE DURCH FALSCHE ANGABEN SEINERSEITS ENTSTANDEN SIND.

Ebenso gibt es keinen verpflichtenden Support (Benutzerservice). Sie haben keinen rechtlichen Anspruch auf die Software, Rückentwicklung oder jegliche Veränderungen. Verkauf ist ohne vorherige Absprache mit dem Autor verboten. Für kommerzielle nutzung ist Zahnspangenterminator nicht verantwortlich. Die Weitergabe des unveränderten und vollständigen Programms (inklusive aller Dateien, Komponenten und Funktionen) an Privatpersonen zu Privatzwecken ist gestattet, die Gebühren dafür dürfen die eigenen Kopierkosten nicht überschreiten.
Verteilung mit einer Shareware-CDROM, einer Zeitschrift oder sonstigen Massenmedien nur nach Benachrichtigung des Autors.
Die Software wird als Freeware zur Verfügung gestellt und ist geistiges Eigentum des Autors.
Alle Rechte an der Software liegen bei Zahnspangenterminator. Die Software unterliegt dem Schutz des Urheberrechtsgesetzes und des internationalen Urheberrechtsabkommens. Wer die Software unberechtigt verbreitet oder Änderungen an den Programmdateien oder der Hilfe vornimmt, macht sich im Sinne der Verletzung des Urheberrechtes strafbar.
Es ist nicht erlaubt, die Software zu verändern, sie zurückzuentwickeln oder sie zu decompilieren.
Eingetragene Warenzeichen (Registered Trademarks) sind nicht gekennzeichnet, das heißt jedoch nicht, daß bestimmte Schriftzüge, Namen o.ä. keine Warenzeichen sind. Warenzeichen sind urheberrechtlich geschützt und gehören dem jeweiligen Eigentümer.
Updates dieser Software sind von Seiten des Autors weder kostenlos noch verpflichtend anzubieten; für Download- und/oder Portokosten kommt dieser nicht auf. Die Updates unterliegen den gleichen Bestimmungen wie diese Software.
Alle Angaben ohne Gewähr!
Alle Rechte vorbehalten!

Stand: 09.12.2001 Zahnspangenterminator

Lob und Kritik und anderes an per Feedback an: [ Feedback ]
[ Zahnspangenterminator@yahoo.de.]
Natürlich dürfen die generierten Quelltexte auch verändert werden, nur bitte ich, dass trotzdem immer der Vermerk bestehen bleibt, dass der Code mit CodeGen erstellt wurde.


..:: Danksagung ::..
Mein Dank gilt allen Leuten, die mir bei der Erstellung geholfen haben:

[Web-Breaker ] - Hilfedatei, Logo, Homepage, Tipps
[Ocram6 ] - Danke für die Idee mit dem Formular,
[Dr. Algebra ] - Der Delphi-King
[JewelFan98] - Hat mich zu Frames
überzeugt
[PeKa] - hat die englische
Übersetzung verbrockt
 [Eltern] - Hatten die viel Geduld...

Und noch sehr viele Leute aus den diversesten Chats und Foren.


..:: History ::..

CodeGen - History
Hier einige Infos über vorrangegangene Versionen von CodeGen:

1.4 | - Neues Logo eigene Homepage Windows 2000 Menü Multi Language eingebaut Neue Helpfile Komponente Mixed !
1.35 | - Die langersehnte Vorschau für die Links wurde eingefügt
1.3 | - Neue Komponente: Links - CodeGen-Runderneuerung (URLs geändert) - Ein kleines Easteregg eingebaut - Und hier und da was weg genommen
1.2.9 | - "Formular" erweitert (Betreff und Name kann eingegeben werden) - "Formular" Richtung meines Formmailers geändert - Wieder einige Tab-Sprünge beseitigt
1.2.8 | - "Auswahl"-Buttons in "Scrollbar" eingefügt. - Bild in Scrollbar eingefügt
1.2.3 | - Menü verschönert (Linien, Shortcuts) - Daten werden nicht mehr in .ini- Datei gespeichert, sondern in der Registry
1.2.2 | - Fehlermeldung beim Speicherabbruch beseitigt - FAQ hinzugefügt - Einige Tab-Sprünge beseitig
1.2.1 | - Daten werden in ini-Datei gespeichert - Ergänzung zu PullDown: Öffnen eines Links in anderem Frame generierbar - Designvorschau zu ICQ-Designs eingebaut - Einige Eingabefelder werden bei Nichtnutzen abgeschaltet, sodass keine Eingabe möglich ist
1.2 | - Komponente ICQ hinzugefügt - Neues Logo
1.1 | - Komponente PullDown wurde hinzugefügt - Lizenzrechte wurden verändert - Setup wurde ins Deutsche übersetzt - Einige Rechtschreibfehler wurden beseitigt - Speicherroutine geändert => Speicherplatz kann gewählt werden
1.0.1 | - Formular wurde in unsichtbare Tablelle integriert - Einige kleine Fehler wurden beseitigt - Und vieles, was eh keiner bemerkt..
1.0 | - Erstes Release mit 4 Funktionen


..:: Newsletter ! ::..
Deine E-Mail:

 anmelden
abmelden

Sei immer up2date bezüglich CodeGen. Immer wissen, wann eine neue Version rausgekommen ist und was an ihr jetzt neu ist ! Einfach Mailadresse eintragen und schon bist du mit dabei...


..:: Scrollbar ::..

Beschreibung
Mittels diesen Teilprogrammes ist es möglich, Codes zu erstellen, die die Scrollbars (Laufleisten) auf deiner Seite einfärben. Das bedeutet, dass sie dann nicht mehr grau sind, sondern so erscheinen, wie du es willst.


..:: Scrollbar ::..

3DLight, Highlight, Face, Arrow, Shadow, DarkShadow, Track
Eine Scrollbar gliedert sich in mehrere Bereiche. 3dLight, Highlight, Shadow und DarkShadow markieren den Randbereich. Arrow, Track und Face befinden sich im inneren Bereich der Scrollbar.
Was sind Hex-Farben ?

Eine Farbe setzt sich aus Rot-, Grün- und Blau-Anteilen zusammen, die man häufig "RGB-Werte" nennt. Diese Werte müssen in hexadezimaler Schreibweise angegeben werden. Zusätzlich interpretieren der Internet Explorer und Netscape englische Angaben wie red oder green.


..:: Scrollbar ::..

Auswahl
Klicke hier, um einen Farbdialog zu öffnen, mit dem du jede Farbe zusammenstellen kannst. Nach Bestätigung wird in dem entsprechenden Feld der entsprechende Hexadezimal-Code ausgegeben.


..:: PopUp ::..

Beschreibung
Gebe hier an, wann sich das PopUp öffnen soll: Nach einem Klick auf einen Link, beim Laden der Seite, wo der Code eingebaut ist oder beim Verlassen der Seite.


..:: PopUp ::..

PopUp öffnet sich
Gebe hier an, wann sich das PopUp öffnen soll: Nach einem Klick auf einen Link, beim Laden der Seite oder beim Verlassen der Seite.


..:: PopUp ::..

Linktext
Wenn du die Option "PopUp öffnet sich ... nach Klick auf Link" gewählt hast, musst du natürlich angeben, welcher Text als Link dort stehen soll.


..:: PopUp ::..

URL (Adresse)
Gebe hier an, welche URL (Adresse) im PopUp geladen werden soll.


..:: PopUp ::..

Titel
Diese Option ist nur für die spätere Zuordnung zuständig. Z.B. kannst du dann das PopUp direkt ansprechen, wie bei Frames. Du solltest allerdings keine Umlaute wie ä, ö, ü, ß oder Leerzeichen verwenden, da diese nur Scriptfehler verursachen würden.


..:: PopUp ::..

Breite
Hier gebe die Breite des zu erzeugenden PopUp's an.


..:: PopUp ::..

Höhe
Hier gebe bitte die Höhe des zu erzeugenden PopUp's an.


..:: PopUp ::..

Abhängig
Wähle hier, ob das PopUp vom Hauptfenster abhängig sein soll. Das bedeutet, wenn das Hauptfenster geschlossen wird, wird auch das PopUp geschlossen. Diese Funktion kann nur mit Netscape genutzt werden.


..:: PopUp ::..

URL Adresszeile
Wähle hier, ob das PopUp eine URL-Adresszeile besitzen soll. Solltest du diese Funktion aktivieren, kann der Nutzer im PopUp eine andere Seite laden.


..:: PopUp ::..

Menüleiste
Wähle hier, ob das PopUp eine Menüleiste besitzen soll. Die Menüleiste enthält die Buttons Datei > Neu, Bearbeiten etc.


..:: PopUp ::..

Größenveränderbar
Wähle hier, ob das PopUp eine Funktion besitzen soll, die es dem Nutzer ermöglicht, das PopUp zu vergrößern oder zu verkleinern (Meistens nicht genutzt).


..:: PopUp ::..

Statusleiste
Wähle hier, ob das PopUp eine Statusleiste besitzen soll. Die Statusleiste befindet sich im untersten Bereich des PopUp's.


..:: PopUp ::..

Werkzeugleiste
Wähle hier, ob das PopUp eine "Werkzeigleiste" besitzen soll. Die "Werkzeugleiste" befindet sich im oberen Bereich des PopUp's und enthält Buttons wie Vor, Zurück ...


..:: MetaTag ::..

Beschreibung
Mit diesem Teil des Programmes kann man MetaTags erstellen. MetaTags sind wichtig für Einträge in Suchmaschinen. Denn diese benötigen einige Daten, die mittels diesem Generator erstellt werden.


..:: MetaTag ::..

Autor
Gebe hier an, wer der Autor der Seite ist. Das kann einerseits dein Name sein, andererseits solltest du, wenn du im kommerziellen Rahmen eine Seite gestaltest, den Namen deines Unternehmens eintragen.


..:: MetaTag ::..

Schlüsselwörter
Gebe hier Begriffe ein, die deine Seite grundlegend beschreiben. Achte darauf, dass keine Wörter doppelt eingegeben werden und keine Wortvariationen mehr als 5x vorkommen. Die maximale Zeichenanzahl liegt bei 1000, trotzdem erkennen manche Suchmachinen viel weniger Wörter, darum solltest du die wichtigsten Begriffe an den Anfang schreiben. Die einzelnen Suchbegriffe trenne bitte durch Kommata ab.


..:: MetaTag ::..

Metabeschreibung
Gebe hier eine kurze Beschreibung der Seite ein. Du solltest darauf achten, dass der Text bei möglichst vielen Nutzern Interesse erregt. Das Maximum liegt bei 200 Zeichen. (Leerzeichen zählen dazu)


..:: MetaTag ::..

Wiederbesuch nach X Tagen
Es gibt einige Sites, die ändern sich nie, andere täglich. Gebe hier ein, in welchen Intervallen du die Seite aktualisieren wirst, damit der Suchroboter der Suchmaschinen in der angegebenen Zeit wieder kommen, um die Seite neu zu indizieren.


..:: MetaTag ::..

Indizierung
Sagt der Suchmaschine, wie sie mit der angemeldeten Seite zu verfahren hat:
index = Seite in die Datenbank aufnehmen
noindex = Seite nicht in die Datenbank aufnehmen
follow = Suchmaschine soll Links der Seite folgen und die Seiten auch aufnehmen
nofollow = Suchmaschine soll Links der Site nicht folgen und die Seiten auch nicht aufnehmen


..:: MetaTag ::..

Sprache der Webseite
Gebe hier an, in welcher Sprache die Seite erscheinen wird. Diese Angabe ist wichtig, damit die Suchmaschiene bei Besuch der Seite den für diese Sprache zugeteilten Zeichensatz laden kann.


..:: MetaTag ::..

Seite cachen
Wird eine Seite öfters aufgerufen, wird ihr Inhalt im sogenannten "Cache" aufbewahrt. Der Cache ist ein bestimmter Ordner auf der Festplatte jeden Windowsnutzers. (Meistens C:/Windows/Temporary Internet Files). Das bedeutet für den Nutzer, dass die Seite beim Aufrufen teilweise nicht vom Server kommt, sondern aus dem "Cache" des Nutzers. Das ist allerdings ungünstig, wenn die Seite oft aktualisiert wird. Denn auf der Festplatte des Nutzers befindet sich ja immer die Seite vom letzten Besuch. Verbietet man es dem Browser, so wird die Seite NIE im "Cache" gespeichert, sondern wird jedes Mal neu vom Server geladen. Nachteil: Das Laden dauert länger, da ein Festplattenzugriff schneller geht als ein Laden einer Seite aus dem Internet.


..:: Formular ::..

Beschreibung
Dieses Teilprogramm erstellt ein vollautomatisches Formular, das sofort nach dem Generieren genutzt werden kann. Denn es ist eine Befehlszeile integriert, die Eingaben des Nutzers an die Seite http://www.yubb.de schickt. yubb.de stellt ein kostenloses Script zur Verfügung, das Formulare erhält, auswertet und dann ihnen zusendet. Der Übersicht wegen ist das generierte Formular in eine unsichtbare Tabelle eingearbeitetet.
Eine professionelle Lösung für ein recht schwieriges Problem !


..:: Formular ::..

Mailadresse
Bitte gebe hier deine E-Mailadresse ein.


..:: Formular ::..

Betreff
Gebe hier an, welchen Betreff die Mail an dich haben soll, damit du sofort erkennst, wenn eine Mail per Formmailer an dich geschickt wurde.


..:: Formular ::..

URL
Gib hier, wenn gewollt, die URL zu einer Seite an, die für den Versand dankt.


..:: Formular ::..

ICQ
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher seine ICQ-Nummer eintragen kann.


..:: Formular ::..

AIM
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher seinen AIM Screennamen eintragen kann.


..:: Formular ::..

MSN
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher seinen MSN Displaynamen eintragen kann.


..:: Formular ::..

Homepageadresse
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher seine Homepage-URL eintragen kann.


..:: Formular ::..

Bewertung
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher aus 3 Vorgaben die Seite bewerten kann (Super, Naja, Grottenschlecht)


..:: Formular ::..

Geschlecht
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher sein Geschlecht angeben kann.


..:: Formular ::..

Wohnort
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher angeben kann, wo er wohnt.


..:: Formular ::..

Woher ?
Aktiviere diese Funktion, wenn das Formular ein Nichtpflichtfeld enthalten soll, in dem der Besucher angeben kann, woher er auf deine Seite gekommen ist.


..:: PullDown ::..

Beschreibung
In diesem Teil es Programmes kann man PullDown-Menüs erstellen. Mit einem aus CodeGen generierten PullDown Menü kannst du den Besucher verschiedene Ziele auswählen lassen.
Das generierte PullDown Menü lokalisiert das Ziel und führt den Besucher ihrer Seite sofort zum gewünschten Ziel.


..:: PullDown ::..

PullDown URL
Gebe hier die URLs der Ziele an, die der Besucher auswählen können soll.


..:: PullDown ::..

Linktext(Ziele)
Gebe hier die Ziele, die der Besucher anwählen können soll, an.


..:: PullDown ::..

Link in anderem Frame öffnen
Du benutzt Frames und möchtest die Zielseite in einem anderen Frame anzeigen lassen? Dann aktiviere diese Funktion und gebe in dem Feld darunter den Namen des Anzeige-Frame an (z.B. PullDown-Menü befindet sich in Frame1 und die "Anzeige-Seite" in Frame2).


..:: PullDown ::..

Framename
Wenn du die Option "Link in anderem Frame öffnen" aktiviert hast, musst du hier den Framenamen angeben, wo die Links geöffnet werden sollen.


..:: ICQ - Indicator ::..

ICQ-Indicator Beschreibung
Der ICQ-Indicator kann einen Quellcode generieren, der dir bzw. dem Besucher deiner Seite deinen Online-Status bei ICQ anzeigt. So ist es möglich, dass du Online, Offline oder Inaktiv sind.
Die von dir gewählten Grafiken von diesen 3 Varianten können auch als Link agieren. Das bedeutet, das deine ICQ Nummer sofort bei Klick auf diese Grafiken in die ICQ Buddy-List des Besuchers eingetragen wird.


..:: ICQ - Indicator ::..

ICQ - Nummer
Bitte gebe hier deine ICQ Nummer ein.


..:: ICQ - Indicator ::..

Symbol als Link
Hier kannst du wählen, ob das angezeigte Bild auch als Link agieren soll. Sollte das der Fall sein, so kann der User auf das Symbol klicken, um deine ICQ-Nummer direkt in die Buddy-List aufzunehmen.


..:: ICQ Indicator Design ::..

ICQ - Indicator Design
Desigen: Vorschau:
[1]
[2]
[3]

[4]

[5]
[6]

[7]
[8]

[9]


..:: Links ::..

Beschreibung
Dieser Teil von CodeGen erlaubt es, Links auf deiner Seite mittels CSS (Cascading Style Sheet) in nahezu allen Farben und Variationen anzeigen zu lassen.


..:: Links ::..

Link
Wähle in diesem Feld die Farbe des Links. Mit einem Klick auf den rechten Button kannst du bequem den Windows Farbwähler benutzen.
Im unteren Teil der Funktionsgruppe Links kannst du folgende Variationen aktivieren:
| Nicht unterstrichen | Unterstrichen | | Kursiv | Fett |
Im untersten Bereich dieser Funktions-
gruppe siehst die Vorschau des aktuell verwendeten Layouts.


..:: Links ::..

Besuchter Link
Wähle in diesem Feld die Farbe des besuchten Links. Mit einem Klick auf den rechten Button kannst du bequem den Windows Farbwähler benutzen.
Im unteren Teil der Funktionsgruppe Besuchter Link kannst du folgende Variationen aktivieren:
| Nicht unterstrichen | Unterstrichen | | Kursiv | Fett |
Im untersten Bereich dieser Funktions-
gruppe siehst du die Vorschau des aktuell verwendeten Layouts.


..:: Links ::..

Link beim Überfahren
Wähle in diesem Feld die Farbe des Links beim Überfahren des Mauszeigers. Mit einem Klick auf den rechten Button kannst du bequem den Windows Farbwähler benutzen.
Im unteren Teil der Funktionsgruppe Links beim Überfahren kannst du folgende Variationen aktivieren:
| Nicht unterstrichen | Unterstrichen | | Kursiv | Fett |
Im untersten Bereich dieser Funktions-
gruppe siehst du die Vorschau des aktuell verwendeten Layouts.


..:: Mixed ::..

Beschreibung
In diesem Teilprogramm von CodeGen kann man "normalen Text", also .txt Dateien, in HTML-Dateien (HTML=HyperText Markup Language) umwandeln.
Zudem ist es ermöglicht, einen Framegenerator zu benutzen, der eine HTML-Datei in Frames aufteilen kann.


..:: Mixed ::..

txt->HTML
Im oberen Bereich von txt->HTML siehst du ein Feld welches mit "Vorlagedatei" beschriftet ist. Klicke auf den Button "Öffnen" rechts neben dem Textfeld, um die umzuwandelnde Txt-Datei auszuwählen.
In dem Textfeld darunter, welches mit "Ausgabedatei" beschriftet ist, gebe entweder den Pfad der zu speichernden HTML-Datei ein oder klicke rechts auf den Button "Speichern", um den Zielort bequem auszuwählen.
Im Textfeld "Titel" gebe einfach den Titel ein, den die HTML-Datei erhalten soll. Er erscheint in dem Dokument hervorgehoben am Anfang des Dokuments.


..:: Mixed ::..

Framegenerator
Hier siehst 8 Buttons. Der weiße Strich gibt jeweils die 1. Frame an. Der rote Strich in den letzten 4 Buttons gibt die 2. Frame an.
Klicke einfach den Button an, der deiner Vorstellung von einer Frameseite entspricht.


..:: Copyright ::..
Dieser Text sowie alle anderen Texte, Bilder, Layouts etc., die diese Hilfedateien (.chm) enthalten, sind &opy;opyright 2002 by Phil Marx und Aron Homberg 2002.
Die CodeGen Homepage wurde erstellt von Aron Homberg und ist ©opyright by Phil Marx 2002.

Das Programm CodeGen ist Freeware.

>>> [ Haftungsausschluss (Disclaimer) ]


..:: Formmailer ::.
Sie haben Anmerkungen zum Programm und / oder möchten Tipps senden ?
Dann füllen Sie jetzt diesen Formmailer aus und klicken auf Absenden !
Ihr Vorname:

Ihr Nachname:

Ihre E-Mail Adresse:

Ihr Betreff:

Ihre Mitteilung:

Besuchen sie auch die neue
CodeGen Homepage unter:

www.codegen.yubb.de


..:: MetaTag ::..

Webmaster - Mail
Hier solltest du die E-Mail Adresse(n) des Webdesigners eingeben. Das können zum einen deine sein oder die E-Mail Adresse deines Unternehmens.